Run of fresh-releases for midori

Try this locally (using silver-platter):

debian-svp new-upstream midori 
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
[2021-04-24 14:25:21] Running ['new-upstream']
[2021-04-24 14:25:21] Opening branch at https://salsa.debian.org/debian/midori.git/,branch=master
[2021-04-24 14:25:23] Using cached branch https://janitor.debian.net/git/midori/,branch=debian%2Flatest
[2021-04-24 14:27:27] Total 27257 (delta 0), reused 0 (delta 0), pack-reused 27257
Traceback (most recent call last):
  File "/usr/lib/python3.9/http/client.py", line 555, in _get_chunk_left
    chunk_left = self._read_next_chunk_size()
  File "/usr/lib/python3.9/http/client.py", line 522, in _read_next_chunk_size
    return int(line, 16)
ValueError: invalid literal for int() with base 16: b''

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/lib/python3.9/http/client.py", line 587, in _readinto_chunked
    chunk_left = self._get_chunk_left()
  File "/usr/lib/python3.9/http/client.py", line 557, in _get_chunk_left
    raise IncompleteRead(b'')
http.client.IncompleteRead: IncompleteRead(0 bytes read)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/srv/janitor/debian-janitor/janitor/pull_worker.py", line 211, in run_worker
    with process_package(
  File "/usr/lib/python3.9/contextlib.py", line 117, in __enter__
    return next(self.gen)
  File "/srv/janitor/debian-janitor/janitor/worker.py", line 736, in process_package
    with Workspace(
  File "/srv/janitor/debian-janitor/silver-platter/silver_platter/workspace.py", line 131, in __enter__
    self.local_tree, self._destroy = create_temp_sprout(
  File "/srv/janitor/debian-janitor/silver-platter/silver_platter/utils.py", line 95, in create_temp_sprout
    raise e
  File "/srv/janitor/debian-janitor/silver-platter/silver_platter/utils.py", line 90, in create_temp_sprout
    add_branch.push(local_add_branch)
  File "/srv/janitor/debian-janitor/breezy/breezy/branch.py", line 1053, in push
    return InterBranch.get(self, target).push(
  File "/srv/janitor/debian-janitor/breezy/breezy/branch.py", line 2299, in push
    result = self._basic_push(
  File "/srv/janitor/debian-janitor/breezy/breezy/git/branch.py", line 1262, in _basic_push
    refs, stop_revision = self.update_refs(stop_revision)
  File "/srv/janitor/debian-janitor/breezy/breezy/git/branch.py", line 1285, in update_refs
    result = interrepo.fetch(branches=[self.source.ref], include_tags=fetch_tags)
  File "/srv/janitor/debian-janitor/breezy/breezy/git/interrepo.py", line 694, in fetch
    self.fetch_objects(wants_recorder, mapping, limit=limit, lossy=lossy)
  File "/srv/janitor/debian-janitor/breezy/breezy/git/interrepo.py", line 778, in fetch_objects
    refs = self.source.controldir.fetch_pack(
  File "/srv/janitor/debian-janitor/breezy/breezy/git/remote.py", line 458, in fetch_pack
    result = self._client.fetch_pack(
  File "/srv/janitor/debian-janitor/dulwich/dulwich/client.py", line 2075, in fetch_pack
    self._handle_upload_pack_tail(
  File "/srv/janitor/debian-janitor/dulwich/dulwich/client.py", line 813, in _handle_upload_pack_tail
    pkt = proto.read_pkt_line()
  File "/srv/janitor/debian-janitor/dulwich/dulwich/protocol.py", line 230, in read_pkt_line
    sizestr = read(4)
  File "/srv/janitor/debian-janitor/breezy/breezy/transport/http/urllib.py", line 1913, in read
    return self._actual.read(amt)
  File "/usr/lib/python3.9/http/client.py", line 458, in read
    n = self.readinto(b)
  File "/usr/lib/python3.9/http/client.py", line 492, in readinto
    return self._readinto_chunked(b)
  File "/usr/lib/python3.9/http/client.py", line 603, in _readinto_chunked
    raise IncompleteRead(bytes(b[0:total_bytes]))
http.client.IncompleteRead: IncompleteRead(0 bytes read)

Full worker log